version 9
#delimit;
clear;
set more off;
set mem 200m; 

/*	**********************************************************************	*/
/*	File Name: replication.do								*/
/*	Date:	October 26, 2009									*/
/*	Author: Clayton L. Thyne								*/
/*	Purpose: This file replicates the regression results for 			*/
/*	Mitchell, Sara Mclaughlin, and Clayton L. Thyne (2010). 'Contentious 	*/
/*	Issues as Opportunities for Diversionary Behavior.' Conflict Management	*/
/*	and Peace Science.									*/
/*	Input File #1: mitchell_thyne_cmps1.dta						*/
/*	Input File #2: mitchell_thyne_cmps2.dta						*/
/*	Version: Stata 9 or above.								*/
/*	**********************************************************************	*/


/* Table I. Logistic Regression of Diversionary Behavior, 1962-2001 */

use mitchell_thyne_cmps1.dta, clear;
logit DV CPI_issue icow_issue CPI rivalry relpow peaceyrs distance jointdem  _spline1 _spline2 _spline3, nolog;

use mitchell_thyne_cmps2.dta, clear;
logit DV CPI relpow jointdem distance peaceyrs _spline1 _spline2 _spline3, nolog cluster(claimdy);
logit DV int1 CPI ICOW_sal relpow jointdem distance peaceyrs _spline1 _spline2 _spline3, nolog cluster(claimdy);
logit DV int2 CPI recent_war relpow jointdem distance peaceyrs _spline1 _spline2 _spline3, nolog cluster(claimdy);
logit DV int3 CPI rivalry relpow jointdem distance peaceyrs _spline1 _spline2 _spline3, nolog cluster(claimdy);
